import request from '@/utils/request'

// 查询LineCoinnetwork列表
export function listLineCoinnetwork(query) {
    return request({
        url: '/api/v1/line-coinnetwork',
        method: 'get',
        params: query
    })
}

// 查询LineCoinnetwork详细
export function getLineCoinnetwork (id) {
    return request({
        url: '/api/v1/line-coinnetwork/' + id,
        method: 'get'
    })
}


// 新增LineCoinnetwork
export function addLineCoinnetwork(data) {
    return request({
        url: '/api/v1/line-coinnetwork',
        method: 'post',
        data: data
    })
}

// 修改LineCoinnetwork
export function updateLineCoinnetwork(data) {
    return request({
        url: '/api/v1/line-coinnetwork/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineCoinnetwork
export function delLineCoinnetwork(data) {
    return request({
        url: '/api/v1/line-coinnetwork',
        method: 'delete',
        data: data
    })
}

